imagecreate
Prev | Orchestra Opcodes and Operators | Next

## imagecreate

imagecreate — Create an empty image of a given size.

## Description

Create an empty image of a given size. Individual pixel values can then be set with. imagegetpixel.

## Syntax

    iimagenum imagecreate iwidth, iheight

## Initialization

iimagenum -- number assigned to the created image.

iwidth -- desired image width.

iheight -- desired image height.

## Examples

Here is an example of the imagecreate opcode. It uses the file imageopcodes.csd.

Example 245. Example of the imageload opcode.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    ;-odac           -iadc    ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    -o imageopcodes.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>
    sr=48000
    ksmps=1
    nchnls=2

    ; this test .csd copies image.png into a new file 'imageout.png'

    giimage1 imageload "image.png"
    giimagew, giimageh imagesize giimage1
    giimage2 imagecreate giimagew,giimageh

        instr 1

    kndx = 0
    kx_ linseg 0, p3, 1

    myloop:
    ky_ = kndx/(giimageh)
    kr_ kg_ kb_ imagegetpixel giimage1, kx_, ky_
    imagesetpixel giimage2, kx_, ky_, kr_, kg_, kb_
    loop_lt kndx, 0.5, (giimageh), myloop
        endin

        instr 2

    imagesave giimage2, "imageout.png"
        endin

        instr 3
    imagefree giimage1
    imagefree giimage2
        endin

    </CsInstruments>
    <CsScore>

    i1 1 1
    i2 2 1
    i3 3 1
    e

    </CsScore>
    </CsoundSynthesizer>

## See Also

imageload, imagesize, imagesave, imagegetpixel, imagesetpixel, imagefree

## Credits

Author: Cesare Marilungo

New in version 5.08

Prev | Up | Next
ilinrand | Home | imagefree